<?php

/***************************************************************
*  Copyright notice
*
*  Copyright 2007 EDIT GmbH. All rights reserved.
*  Use of this product is subject to license terms.
*
*/

// Settings begin
//$T3RestrictRemoteHost = '127.0.0.1'; //   -     
// Settings end

include ('includes/application_top.php');
require_once (DIR_FS_INC.'xtc_encrypt_password.inc.php');
require_once (DIR_FS_INC.'xtc_write_user_info.inc.php');
require_once (DIR_FS_CATALOG.'typo3link/t3sync_login.php');

function CountryISO2ID( $country_iso )
{
    $entry_query = xtc_db_query("select countries_id from ".TABLE_COUNTRIES." where countries_iso_code_3 = '".xtc_db_input( $country_iso )."'" );

	if (xtc_db_num_rows($entry_query)) 
	{
    	$entry = xtc_db_fetch_array($entry_query);
    	return $entry['countries_id'];
    }
}

function ZoneISO2ID( $country_id, $zone_iso )
{
    $entry_query = xtc_db_query("select zone_id from ".TABLE_ZONES." where zone_code = '".xtc_db_input( $zone_iso )."' and zone_country_id=".(int)$country_id );

	if (xtc_db_num_rows($entry_query)) 
	{
    	$entry = xtc_db_fetch_array($entry_query);
    	return $entry['zone_id'];
    }
}

require_once(DIR_WS_CLASSES.'vat_validation.php');

function GetCustomerVATIDStatus( $vat, $country_id )
{
    // New VAT Check
	$vatID = new vat_validation($vat, '', '', $country_id);
	return $vatID->vat_info['vat_id_status'];
}

function T3GetCustomerFields( $sentFields )
{
    
    global $MD5Passwords;
    
    if (!$MD5Passwords)
    {
        $sql_data_array = array (
            //'customers_status' => $customers_status, 
            'customers_firstname'           => $sentFields['first_name'], 
            'customers_lastname'            => $sentFields['last_name'], 
            'customers_email_address'       => $sentFields['email'],
            'customers_telephone'           => $sentFields['telephone'],
            'customers_fax'                 => $sentFields['fax'],
            'customers_password'            => xtc_encrypt_password($sentFields['password']),
            'customers_date_added'          => 'now()',
            'customers_last_modified'       => 'now()',
            'customers_vat_id'              => $sentFields['edit_xtcuserregister_vat'],
        );
    }
    else
    {
        $sql_data_array = array (
            //'customers_status' => $customers_status, 
            'customers_firstname'           => $sentFields['first_name'], 
            'customers_lastname'            => $sentFields['last_name'], 
            'customers_email_address'       => $sentFields['email'],
            'customers_telephone'           => $sentFields['telephone'],
            'customers_fax'                 => $sentFields['fax'],
            'customers_password'            => $sentFields['password'],
            'customers_date_added'          => 'now()',
            'customers_last_modified'       => 'now()',
            'customers_vat_id'              => $sentFields['edit_xtcuserregister_vat'],
        );
    }

    if (ACCOUNT_GENDER == 'true')
        $sql_data_array['customers_gender'] = ($sentFields['gender'] ? 'f' : 'm');
    if (ACCOUNT_DOB == 'true')
        $sql_data_array['customers_dob'] = $sentFields['date_of_birth'];
    return $sql_data_array;
} 

function T3GetAddressFields( $sentFields )
{
    $sql_data_array = array (
        'entry_firstname'               => $sentFields['first_name'], 
        'entry_lastname'                => $sentFields['last_name'], 
        'entry_street_address'          => $sentFields['address'],
        'entry_postcode'                => $sentFields['zip'],
        'entry_city'                    => $sentFields['city'],
        'address_date_added'            => 'now()',
        'address_last_modified'         => 'now()');

    if ( $country_id = CountryISO2ID( $sentFields['static_info_country'] ) )
    {
        $sql_data_array['entry_country_id'] = $country_id;
        if ( ACCOUNT_STATE == 'true' && $zone_id = ZoneISO2ID( $country_id, $sentFields['zone'] ) ) 
            $sql_data_array['entry_zone_id'] = $zone_id;
    }
    if (ACCOUNT_GENDER == 'true')
        $sql_data_array['entry_gender'] = ($sentFields['gender'] ? 'f' : 'm');
    if (ACCOUNT_COMPANY == 'true')
        $sql_data_array['entry_company'] = $sentFields['company'];
    return $sql_data_array;
} 

print_r( $_POST );


if ( !$T3RestrictRemoteHost || $_SERVER['REMOTE_HOST'] == $T3RestrictRemoteHost )
{
    switch ( $_POST['cmd'] )
    {
        case 'create':
            $sentFields = $_POST;
            
            $add_fields = T3GetCustomerFields( $sentFields );
            $add_fields['customers_status'] = DEFAULT_CUSTOMERS_STATUS_ID;
            $sql_data_array = T3GetAddressFields( $sentFields );
            if ( $sql_data_array['entry_country_id'] )
                $add_fields['customers_vat_id_status'] = GetCustomerVATIDStatus( $sentFields['edit_xtcuserregister_vat'], $sql_data_array['entry_country_id'] );
            
            xtc_db_perform( TABLE_CUSTOMERS, $add_fields );
    
            $user_id = xtc_db_insert_id();
            $sql_data_array['customers_id'] = $user_id;
            xtc_db_perform(TABLE_ADDRESS_BOOK, $sql_data_array);
    
            $address_id = xtc_db_insert_id();
            xtc_write_user_info($user_id);
    
            xtc_db_query("update ".TABLE_CUSTOMERS." set customers_default_address_id = '".$address_id."' where customers_id = '".(int) $user_id."'");
            xtc_db_query("insert into ".TABLE_CUSTOMERS_INFO." (customers_info_id, customers_info_number_of_logons, customers_info_date_account_created) values ('".(int) $user_id."', '0', now())");
        break;
        case 'modify':
            $sentFields = $_POST;
            
            $entry_query = xtc_db_query("select customers_id, customers_default_address_id from ".TABLE_CUSTOMERS." where customers_email_address = '".xtc_db_input( $sentFields['orig_email'] )."'" );
    
        	if (xtc_db_num_rows($entry_query)) 
        	{
            	$entry = xtc_db_fetch_array($entry_query);
            	print_r( $entry );
                $user_id = $entry['customers_id'];
                $address_id = $entry['customers_default_address_id'];
                $customer_fields = T3GetCustomerFields( $sentFields );
                $address_fields  = T3GetAddressFields( $sentFields );
                if ( $address_fields['entry_country_id'] )
                    $customer_fields['customers_vat_id_status'] = GetCustomerVATIDStatus( $sentFields['edit_xtcuserregister_vat'], $address_fields['entry_country_id'] );
                xtc_db_perform(TABLE_CUSTOMERS, $customer_fields, 'update', "customers_id = '".(int) $user_id."'");
                xtc_db_perform(TABLE_ADDRESS_BOOK, $address_fields, 'update', "address_book_id = '".(int) $address_id."' and customers_id ='".(int) $user_id."'");
            }
        break;
        case 'confirm':
            $sentFields = $_POST;
            $group_query = xtc_db_query("select customers_status_id from ".TABLE_CUSTOMERS_STATUS." where customers_status_name = '".xtc_db_input($sentFields['user_group'])."'");
            if (xtc_db_num_rows($group_query)) 
        	{
            	$entry = xtc_db_fetch_array($group_query);
                xtc_db_query("update ".TABLE_CUSTOMERS." set customers_status='".$entry['customers_status_id'].
                    "' where customers_email_address = '".xtc_db_input( $sentFields['email'] )."'" );
            }
        break;
    }
}

?>