<?php

/**
 * Copyright 2007 EDIT GmbH. All rights reserved.
 * Use of this product is subject to license terms.
 */

require_once(t3lib_extMgm::extPath('sr_feuser_register').'pi1/class.tx_srfeuserregister_pi1.php');

class tx_editxtcuserregister_pi1 extends tx_srfeuserregister_pi1 {
    
    var $webService = false;
    var $extPiVars = array();
    var $restrictRemoteHost;
    var $lastAuthArgument;
    
    function main($content, $conf) {
        $this->pi_USER_INT_obj = 1;
        
        $this->restrictRemoteHost = $conf['restrictRemoteHost'];
        
        $this->extPiVars = t3lib_div::GParrayMerged('edit_xtcuserregister'); 
        if ( !$this->restrictRemoteHost || $_SERVER['REMOTE_HOST'] == $this->restrictRemoteHost )
            $this->webService = $this->extPiVars['WebService'] == 'XTCconnect';
            
        if ( !$this->webService )
            return $content;
        
        $conf = $this->cObj->mergeTSRef( $conf, 'tx_srfeuserregister_pi1' );
        //debug( $conf );	
            
        parent::main($content, $conf['tx_srfeuserregister_pi1.']);
            
        #debug( $this->extPiVars );
	
        switch ( $this->extPiVars['Command'] )
        {
        case 'modify':
        
	    $whereClause = "and (pid = " . $this->extPiVars['pid'] .") and (disable = 0) and (deleted = 0)";
	    if ( $user_recs = $GLOBALS['TSFE']->sys_page->getRecordsByField($this->theTable, 'email', $this->extPiVars['UserName'], $whereClause ) )
            {
                $this->cmd = 'edit';
                $this->dataArr = $this->extPiVars['fc_users'];
                $this->fieldList = implode(',', array_intersect(explode(',', $this->fieldList), array_keys($this->dataArr)));
                $this->setUsername();
		$this->dataArr['uid'] = $user_recs[0]['uid'];
                if ($this->conf[$this->cmdKey.'.']['useEmailAsUsername']) {
                    $this->conf[$this->cmdKey.'.']['fields'] = implode(',', array_unique(t3lib_div::trimExplode(',', $this->conf[$this->cmdKey.'.']['fields'] . ',username,email', 1)));
		}
                $this->save();
            }
        break;                
        case 'create':
            $this->cmd = 'create';
            $this->dataArr = $this->extPiVars['fc_users'];
            if ( $conf['autoApprove'] )
            {
                $this->conf['create.']['defaultValues.']['disable'] = 0;
                if ( $this->setfixedEnabled )
                {
                    $usergroup = $this->conf['setfixed.']['APPROVE.']['usergroup'];
                    $this->conf['create.']['overrideValues.']['usergroup'] = $usergroup;
                    $this->dataArr['usergroup'] = $usergroup;
                }
            }
            $this->setName();
            $this->overrideValues();
            $this->save();
            if ($this->saved) 
            {
                if ($this->setfixedEnabled) 
                {
					$key = $this->setfixedPrefix.'CREATE';
					if ($this->conf['enableAdminReview']) {
						$key .= '_REVIEW';
					}
				} else {
					$key = 'CREATE'.$this->savedSuffix;
				}
              	// Send email message(s)
	    		$this->compileMail($key, array($this->currentArr), $this->currentArr[$this->conf['email.']['field']], $this->conf['setfixed.']);
	    	}
            
            /*$this->feUserData['sFK'] = 'APPROVE';
            $this->recUid = $this->dataArr['uid'];
            
            debug($this->setfixedEnabled);
            debug($this->recUid);
            $origArr = $TSFE->sys_page->getRawRecord($this->theTable, $this->recUid);
            $this->authCode = $this->setfixedHash($origArr, $origArr['_FIELDLIST']);
            //if (is_array($this->conf['setfixed.']) && is_array($this->conf['setfixed.']['APPROVE.'])) {
			//	= $this->conf['setfixed.']['APPROVE.']['usergroup'];
			$res .= $this->processSetFixed();*/
        break;
        }
        
        return $content;
    }
    
    function aCAuth($r) {
        $this->lastAuthArgument = $r;
        if ( $this->webService )
            return true;
        return parent::aCAuth($r);
    }
    
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/edit_xtcuserregister/pi1/class.tx_editxtcuserregister_pi1.php']) {
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/edit_xtcuserregister/pi1/class.tx_editxtcuserregister_pi1.php']);
}

?>