<?php

function InitCurlGetCookie( $ch )
{
    global $LastCurlHeaders;
    curl_setopt($ch, CURLOPT_HEADERFUNCTION, 'CurlSaveHeadersCallback');
    $LastCurlHeaders = null;
} 

function CurlGetCookie( $ch, $cookie_name )
{
    global $LastCurlHeaders;
    if ( $LastCurlHeaders && preg_match( '/Set-Cookie:\s+' . $cookie_name . '=([^;]+);/', $LastCurlHeaders, $matches ) == 1 )
        return $matches[1];
    return null;
} 
 
function CurlSaveHeadersCallback( $ch, $headers )
{
    global $LastCurlHeaders;
    $LastCurlHeaders .= $headers;
    return strlen( $headers );
}

?>